// objectiveCAD Dialog Definitions
//	17. June 1993
//
// objectiveCAD Version 1.1 Dialog Definitions
//	31. August 1993
//
// You need to load the odialog.lsp file to
// use the DCL Dialogs within oCAD objects
//
//
ocad_createinstance : dialog {
	key	= "ocad_createinstance";
	: column {
		: image {
			key		= "object_slide";
			color		= graphics_background;
			width		= 42;
			aspect_ratio	= 0.7;
			alignment	= centered;
		}
		: boxed_column {
			: concatenation {
				: text_part {
					label		= " ";
				}
				: text_part {
					key		= "parameter";
					width		= 18;
				}
				: text_part {
					key		= "parvalue";
					width		= 25;
				}
			}
			: spacer {
			}
			: spacer {
			}
			: list_box {
				key		= "parlist";
				tabs		= "20 45";
				height		= 5;
				allow_accept	= true;
			}
			: row {
				: text_part {
					key		= "aktpar";
					fwidth		= "20";
				}
				: text_part {
					label		= ":";
				}
				: edit_box {
					key		= "aktparvalue";
					allow_accept	= false;
					width	= 20;
				}
			}
		}
		: row {
			: text {
				value		= "                  ";
			}
			: button {
				key		= "cancel";
				label		= "Cancel";
				is_cancel	= true;
				fixed_width	= true;
			}
			: button {
				key		= "help";
				label		= "Help";
				fixed_width	= true;
			}
			: button {
				key		= "accept";
				label		= "Generate";
				is_default	= true;
				fixed_width	= true;
				alignment	= left;
			}
		}
	}
}






ocad_slider : dialog {
	key	= "ocad_slider";
	: boxed_column {
		: slider {
			key		= "oslider";
			min_value	= -10;
			max_value	= 10;
			layout		= horizontal;
			value		= "0";
		}
		: row {
			: row {
			: text {
				key		= "varname";
				value		= "VariablenName";
			}
			: edit_box {
				key		= "slider_info";
				value		= "5";
				allow_accept	= true;
			}}
			: row {
			: spacer {
				fixed_width	= 3;
			}
			: button {
				key		= "accept";
				label		= "OK";
				is_default	= true;
				fixed_width	= true;
				alignment	= left;
			}}
		}
	}
}




ocad_listbox : dialog {
	key	= "ocad_listbox";
	width	= 30;
	: column {
		: text {
			key		= "varname";
			value		= "VariablenName";
		}
		: boxed_column {
			: list_box {
				key		= "olistbox";
				allow_accept	= true;
				value		= "";
			}
			: row {
				: row {
				: edit_box {
					key		= "listbox_info";
					allow_accept	= true;
					width		= 25;
				}}
				: row {
					: spacer {
						fixed_width	= 3;
					}
					: button {
						key		= "accept";
						label		= "OK";
						is_default	= true;
						fixed_width	= true;
						alignment	= left;
					}
				}
			}
		}
	}
}


ocad_classbox : dialog {
	key	= "ocad_classbox";
	width	= 70;
	: column {
		: boxed_row {
			: column {
				: text {
					value		= "CLASSES:";
				}
				: list_box {
					key		= "classbox";
					allow_accept	= false;
				}
			}
			: column {
				: text {
					value		= "OBJECTS:";
				}
				: list_box {
					key		= "objectbox";
					allow_accept	= true;
				}
			}
		}
		: row {
			: text {
				value		=  "                                 ";
			}
			: button {
				key		= "cancel";
				label		= "Cancel";
				is_cancel	= true;
				fixed_width	= true;
			}
			: button {
				key		= "accept";
				label		= "OK";
				is_default	= true;
				width		= 8;
				alignment	= left;
			}
		}
	}
}






ocad_tabbox : dialog {
	key	= "ocad_tabbox";
	width	= 45;
	: column {
		: concatenation {
			: text_part {
				label		= "  ";
			}
			: text_part {
				key		= "string1";
				width		= 24;
			}
			: text_part {
				key		= "string2";
				width		= 11;
			}
			: text_part {
				key		= "string3";
				width		= 15;
			}
		}
		: boxed_column {
			: list_box {
				key		= "otabbox";
				tabs		= "24 36 45";
				value		= "";
			}
			: row {
				: row {
				: edit_box {
					key		= "tabbox_info";
					allow_accept	= true;
					width		= 25;
				}}
				: row {
					: spacer {
						fixed_width	= 3;
					}
					: button {
						key		= "accept";
						label		= "OK";
						is_default	= true;
						fixed_width	= true;
						alignment	= right;
					}
				}
			}
		}
	}
}



object_help : dialog {
	key	= "object_help";
	width	= 70;
	height	= 20;
	: boxed_column {
		: list_box {
			key		= "objecthelp";
			allow_accept	= false;
		}
		: button {
			key		= "accept";
			label		= "OK";
			is_default	= true;
			fixed_width	= true;
			alignment	= centered;
		}
	}
}


obd_edit : dialog {
	key	= "obd_edit";
	width	= 80;
	height	= 23;
	: boxed_column {
		: list_box {
			key		= "obd_display";
			allow_accept	= false;
		}
		: edit_box {
			key		= "akt_line";
			allow_accept	= false;
			fixed_width	= 70;
		}
		: button {
			key		= "accept";
			label		= "OK";
			is_default	= true;
			fixed_width	= true;
			alignment	= centered;
		}
	}
}
